Fritz
-----
Fritz is your friendly network watchdog. Fritz periodically walks through your list of hosts and logs whether they respond to pings.

Development of Fritz is sponsored by [Cedras GmbH](http://cedras.net/).

Installation
------------

Install fritz from your command line:

    $ gem install fritz

Usage
-----

1. Run `fritz setup FOLDER` for a folder of your choosing.
2. Edit `FOLDER/config/hosts.yaml` and `FOLDER/config/schedule.rb`
3. Run `fritz schedule`.

Per default, fritz writes to STDOUT. See config/schedule.rb after setup for examples logging to log/hosts.log.

Contributing
------------

1. Fork it
2. Create your fix/feature branch (`git checkout -b [fix|feature]-xyz`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin [fix|feature]-xyz`)
5. Create new Pull Request

License
-------

Fritz is released under the [MIT License](http://opensource.org/licenses/MIT).
See the file LICENSE for details.
