# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$:.unshift(lib) unless $:.include?(lib)
require 'fritz/version'

Gem::Specification.new do |spec|
  spec.name          = "fritz"
  spec.version       = Fritz::VERSION
  spec.authors       = ["Juan Romero Abelleira"]
  spec.email         = ["romero@cedras.ch"]
  spec.description   = "Pings a list of IPs and reports their status."
  spec.summary       = spec.description
  spec.homepage      = "https://github.com/romeroabelleira/fritz"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler",    "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest",   "~> 4.7.4"
  spec.add_development_dependency "minitest-reporters"
  spec.add_development_dependency "guard-minitest"
  spec.add_development_dependency "yard"
  spec.add_development_dependency "guard-yard"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "redcarpet"

  spec.add_runtime_dependency     'thor',       '~> 0.18.1'
  spec.add_runtime_dependency     'net-ping',   '~> 1.6.0'
  spec.add_runtime_dependency     'whenever',   '~> 0.8.2'
  spec.add_runtime_dependency     'json',       '~> 1.7.7'
end
